VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | List of all members
HostDataExchangeHandler Struct Reference

`#include <hostdataexchangehandler.h>`

## Public Member Functions
| HostDataExchangeHandler (IDataExchangeHandlerHost &host, uint32 maxQueues=64)
| Constructor.
| ~HostDataExchangeHandler () noexcept
IDataExchangeHandler * | getInterface () const
| get the IHostDataExchangeManager interface
uint32 | sendMainThreadBlocks ()
| send blocks
uint32 | sendBackgroundBlocks (DataExchangeQueueID queueId=InvalidDataExchangeQueueID)
| send blocks

## Constructor & Destructor Documentation

## ◆ HostDataExchangeHandler()

HostDataExchangeHandler | ( | IDataExchangeHandlerHost & | host,
|  | uint32 | maxQueues = 64 )

Constructor.

allocate and deallocate this object on the main thread

the number of queues is constant

Parameters

  host | the managing host
  maxQueues | number of maximal allowed open queues

## ◆ ~HostDataExchangeHandler()

~HostDataExchangeHandler | ( |  | ) |
| default noexcept

## Member Function Documentation

## ◆ getInterface()

IDataExchangeHandler * getInterface | ( |  | ) | const

get the IHostDataExchangeManager interface

the interface you must provide to the IAudioProcessor

## ◆ sendMainThreadBlocks()

uint32 sendMainThreadBlocks | ( |  | ) |

send blocks

the host should periodically call this method on the main thread to send all queued blocks which should be send on the main thread

## ◆ sendBackgroundBlocks()

uint32 sendBackgroundBlocks | ( | DataExchangeQueueID | queueId = InvalidDataExchangeQueueID | ) |

send blocks

the host should call this on a dedicated background thread inside a mutex is used, so don't delete this object while calling this

Parameters

  queueId | only send blocks from the specified queue. If queueId is equal to InvalidDataExchangeQueueID all blocks from all queues are send.

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.